[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# RegisterClassAlias

Registers a class alias with the streaming system.

## Declaration

Source position: classesh.inc line 1989

`procedure RegisterClassAlias(`
`AClass: TPersistentClass;`
`const Alias: string`
`);`

## Description

RegisterClassAlias registers a class alias in the streaming system. If a reference to a class Alias is encountered in a stream, then an instance of the class AClass will be created instead by the streaming code.

## See also

RegisterClass |  | Registers a class with the streaming system.
RegisterClasses |  | Registers multiple classes with the streaming system.
RegisterComponents |  | Registers components for the component palette.
UnregisterClass |  | Unregisters a class from the streaming system.

Documentation generated on: Feb 26 2014